Bug 1304429 - FTBFS: sks-1.1.5-5
FTBFS: sks-1.1.5-5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sks (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Nick Bebout
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 10:09 EST by Peter Ludikovsky
Modified: 2016-10-21 11:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: sks-1.1.6-1.fc25 sks-1.1.6-1.fc24 sks-1.1.6-1.fc23 sks-1.1.6-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-10 13:44:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for uint32 type error (1.45 KB, patch)
2016-02-03 10:09 EST, Peter Ludikovsky
no flags Details | Diff

  None (edit)
Description Peter Ludikovsky 2016-02-03 10:09:21 EST
Created attachment 1120807 [details]
Patch for uint32 type error

Description of problem:
After downloading the SRPM it's impossible to build sks on Fedora 23.

Version-Release number of selected component (if applicable):
1.1.5-5

How reproducible:
Always

Steps to Reproduce:
# yumdownloader --source sks
# rpm -Uvh sks-1.1.5-5.fc22.src.rpm
# cd <SPECS dir>
# rpmbuild -ba --clean sks.spec

Actual results:
<snip>
ocamlc -g -c -ccopt "-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -I/usr/lib64/ocaml -I ." stubs-md5.c
stubs-md5.c:21:9: error: unknown type name 'uint32'
         uint32 buf[4];
         ^
stubs-md5.c:22:9: error: unknown type name 'uint32'
         uint32 bits[2];
         ^
Makefile:101: recipe for target 'stubs-md5.o' failed
</snip>

Expected results:
Built binary and source RPMs

Additional info:
Attached is a possible patch which attempts to fix the type problem and includes the patch in the spec file.
Comment 1 Fedora Update System 2016-10-04 09:19:16 EDT
sks-1.1.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2ce3494a09
Comment 2 Fedora Update System 2016-10-04 10:22:38 EDT
sks-1.1.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-754c3c6ff6
Comment 3 Fedora Update System 2016-10-04 21:54:23 EDT
sks-1.1.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f45ca4d48d
Comment 4 Fedora Update System 2016-10-04 22:26:09 EDT
sks-1.1.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-26c2d4c834
Comment 5 Fedora Update System 2016-10-10 13:44:31 EDT
sks-1.1.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-10-12 19:22:48 EDT
sks-1.1.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-10-12 22:51:03 EDT
sks-1.1.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-10-21 11:51:24 EDT
sks-1.1.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.